# Generated by Django 2.2 on 2022-08-10 18:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Almacen',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.CharField(max_length=50, null=True, verbose_name='Creado por')),
                ('updated_at', models.DateTimeField(null=True)),
                ('updated_by', models.CharField(max_length=50, null=True, verbose_name='Actualizado por')),
                ('nombre', models.CharField(max_length=20, unique=True, verbose_name='Nombre')),
            ],
            options={
                'verbose_name': 'Almacén',
                'ordering': ['nombre'],
            },
        ),
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.CharField(max_length=50, null=True, verbose_name='Creado por')),
                ('updated_at', models.DateTimeField(null=True)),
                ('updated_by', models.CharField(max_length=50, null=True, verbose_name='Actualizado por')),
                ('nombre', models.CharField(max_length=20, unique=True, verbose_name='Nombre')),
                ('presentacion_comercial', models.CharField(choices=[('Líquido', 'Líquido'), ('Cápsula', 'Cápsula'), ('Otros', 'Otros')], max_length=18, verbose_name='Presentacion Comercial')),
            ],
            options={
                'verbose_name': 'Categoría',
                'ordering': ['nombre'],
            },
        ),
        migrations.CreateModel(
            name='Movimiento',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.CharField(max_length=50, null=True, verbose_name='Creado por')),
                ('updated_at', models.DateTimeField(null=True)),
                ('updated_by', models.CharField(max_length=50, null=True, verbose_name='Actualizado por')),
                ('cantidad', models.IntegerField(verbose_name='Cantidad')),
                ('e_cantidad', models.IntegerField(verbose_name='Stock')),
                ('e_valor_unitario', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Existencias valor  unitario ')),
                ('e_valor_total', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Existencias valor total')),
                ('fecha', models.DateField(verbose_name='Fecha')),
                ('tipo', models.CharField(choices=[('Entrada', 'Entrada'), ('Salida', 'Salida')], max_length=10, verbose_name='Tipo')),
                ('valor_total', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Valor Total')),
                ('valor_unitario', models.DecimalField(decimal_places=3, max_digits=6, verbose_name='Valor Unitario')),
            ],
            options={
                'verbose_name': 'Movimiento',
                'ordering': ['fecha'],
            },
        ),
        migrations.CreateModel(
            name='Producto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.CharField(max_length=50, null=True, verbose_name='Creado por')),
                ('updated_at', models.DateTimeField(null=True)),
                ('updated_by', models.CharField(max_length=50, null=True, verbose_name='Actualizado por')),
                ('codigo', models.CharField(max_length=20, unique=True, verbose_name='Codigo')),
                ('existencia_maxima', models.IntegerField(verbose_name='Existencia Máxima')),
                ('existencia_minima', models.IntegerField(verbose_name='Existencia Mínima')),
                ('nombre', models.CharField(max_length=20, unique=True, verbose_name='Nombre')),
                ('iva', models.CharField(choices=[('Si', 'Si'), ('No', 'No')], max_length=18, verbose_name='Presentacion Comercial')),
                ('categoria', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='categoria_producto', to='prueba.Categoria')),
            ],
            options={
                'verbose_name': 'Producto',
                'ordering': ['nombre'],
            },
        ),
        migrations.CreateModel(
            name='Proveedor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.CharField(max_length=50, null=True, verbose_name='Creado por')),
                ('updated_at', models.DateTimeField(null=True)),
                ('updated_by', models.CharField(max_length=50, null=True, verbose_name='Actualizado por')),
                ('direccion', models.CharField(max_length=30, verbose_name='Direccion')),
                ('email', models.EmailField(max_length=254, unique=True, verbose_name='Email')),
                ('nombre', models.CharField(max_length=60, unique=True, verbose_name='Nombre')),
                ('ruc', models.CharField(max_length=13, unique=True, verbose_name='Ruc')),
                ('telefono', models.CharField(max_length=10, unique=True, verbose_name='telefono celular')),
            ],
            options={
                'verbose_name': 'Proveedor',
                'ordering': ['nombre'],
            },
        ),
        migrations.CreateModel(
            name='Stock',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.CharField(max_length=50, null=True, verbose_name='Creado por')),
                ('updated_at', models.DateTimeField(null=True)),
                ('updated_by', models.CharField(max_length=50, null=True, verbose_name='Actualizado por')),
                ('cantidad_existente', models.PositiveIntegerField(verbose_name='Stock')),
                ('fecha', models.DateTimeField(auto_now_add=True, null=True, verbose_name='fecha')),
                ('precio_unitario', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Valor  unitario actual')),
                ('precio_total', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Valor total actual')),
                ('almacen', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='almacen_stock', to='prueba.Almacen')),
                ('movimiento', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='movimiento_stock', to='prueba.Movimiento')),
                ('producto', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='producto_stock', to='prueba.Producto')),
            ],
            options={
                'verbose_name': 'Stock',
                'ordering': ['-fecha'],
            },
        ),
        migrations.CreateModel(
            name='OrdenSalida',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.CharField(max_length=50, null=True, verbose_name='Creado por')),
                ('updated_at', models.DateTimeField(null=True)),
                ('updated_by', models.CharField(max_length=50, null=True, verbose_name='Actualizado por')),
                ('estado', models.CharField(choices=[('Borrador', 'Borrador'), ('Validada', 'Validada')], max_length=18, verbose_name='Estado')),
                ('fecha', models.DateField(verbose_name='Fecha')),
                ('nro_orden_salida', models.IntegerField(unique=True, verbose_name='Nro de orden de Salida')),
                ('sub_total', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Sub Total')),
                ('total', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Total')),
                ('almacen', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='almacen_orden_salida', to='prueba.Almacen')),
                ('departamento', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='departameto_orden_salida', to='prueba.Almacen')),
            ],
            options={
                'verbose_name': 'Órden de salida',
                'ordering': ['nro_orden_salida'],
            },
        ),
        migrations.CreateModel(
            name='OrdenEntrada',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.CharField(max_length=50, null=True, verbose_name='Creado por')),
                ('updated_at', models.DateTimeField(null=True)),
                ('updated_by', models.CharField(max_length=50, null=True, verbose_name='Actualizado por')),
                ('estado', models.CharField(choices=[('Borrador', 'Borrador'), ('Validada', 'Validada')], max_length=18, verbose_name='Estado')),
                ('fecha', models.DateField(blank=True, null=True, verbose_name='Fecha')),
                ('iva', models.DecimalField(decimal_places=3, max_digits=7, verbose_name='Iva')),
                ('nro_compra', models.IntegerField(unique=True, verbose_name='Nro de compra')),
                ('sub_total', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Sub Total')),
                ('total', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Total')),
                ('almacen', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='almacen_orden_entrada', to='prueba.Almacen')),
                ('proveedor', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='proveedor_orden_entrada', to='prueba.Proveedor')),
            ],
            options={
                'verbose_name': 'Órden de entrada',
                'ordering': ['nro_compra'],
            },
        ),
        migrations.AddField(
            model_name='movimiento',
            name='producto',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='producto_movimiento', to='prueba.Producto'),
        ),
        migrations.CreateModel(
            name='ItemSalida',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.CharField(max_length=50, null=True, verbose_name='Creado por')),
                ('updated_at', models.DateTimeField(null=True)),
                ('updated_by', models.CharField(max_length=50, null=True, verbose_name='Actualizado por')),
                ('cantidad_basica', models.IntegerField(verbose_name='Cantidad unidad básica')),
                ('cantidad_total', models.IntegerField(verbose_name='Cantidad en total')),
                ('valor_total', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Valor Total')),
                ('valor_unitario', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Valor Unitario')),
                ('orden_salida', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='orden_salida_item_salida', to='prueba.OrdenSalida')),
                ('producto', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='producto_item_salida', to='prueba.Producto')),
            ],
            options={
                'verbose_name': 'Item de salida',
            },
        ),
        migrations.CreateModel(
            name='ItemEntrada',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('created_by', models.CharField(max_length=50, null=True, verbose_name='Creado por')),
                ('updated_at', models.DateTimeField(null=True)),
                ('updated_by', models.CharField(max_length=50, null=True, verbose_name='Actualizado por')),
                ('cantidad_basica', models.IntegerField(verbose_name='Cantidad unidad básica')),
                ('cantidad_total', models.IntegerField(verbose_name='Cantidad en total')),
                ('valor_total', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Valor Total')),
                ('valor_unitario', models.DecimalField(decimal_places=3, max_digits=9, verbose_name='Valor Unitario')),
                ('orden_entrada', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='orden_entrada_item_entrada', to='prueba.OrdenEntrada')),
                ('producto', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='producto_item_entrada', to='prueba.Producto')),
            ],
            options={
                'verbose_name': 'Item de entrada',
            },
        ),
    ]
